/*
Copyright 2008 York University

Licensed under the Educational Community License (ECL), Version 2.0 or the New
BSD license. You may not use this file except in compliance with one these
Licenses.

You may obtain a copy of the ECL 2.0 License and BSD License at
https://source.fluidproject.org/svn/LICENSE.txt

*/
package org.fluidproject.vulab.rascal.core;

import java.io.File;

import org.fluidproject.vulab.rascal.core.utils.FastFrameBuffer;
import org.fluidproject.vulab.rascal.core.utils.FileStreamer;
import org.fluidproject.vulab.rascal.core.utils.FrameWriter;
import org.fluidproject.vulab.rascal.ui.Settings;

public class ScreenRecorder {
	FastFrameBuffer buffer;
	FrameWriter fwriter;
	FileStreamer fstreamer;
	ScreenCapture scapture;
	
	private String writeDir = Settings.TEMP_DIR;
	
	public ScreenRecorder(){
		buffer = new FastFrameBuffer(new File(writeDir));
		
	}
	
	public void start(){
		fwriter = new FrameWriter(buffer,new File(writeDir));
		fstreamer = new FileStreamer(new File(writeDir));
		scapture = new ScreenCapture(buffer);
		scapture.start();
	}
	
	public void stop(){
		scapture.stop();
		fwriter.interrupt();
		fstreamer.finalize();
	}

}
