/*
Copyright 2008 York University

Licensed under the Educational Community License (ECL), Version 2.0 or the New
BSD license. You may not use this file except in compliance with one these
Licenses.

You may obtain a copy of the ECL 2.0 License and BSD License at
https://source.fluidproject.org/svn/LICENSE.txt

*/
package org.fluidproject.vulab.rascal.core.utils;

import java.io.File;

public class FrameWriter implements Runnable {

	private FastFrameBuffer buffer;
	private Thread thread;
	private File dir;

	public FrameWriter(FastFrameBuffer buffer, File dirToWriteTo) {
		thread = new Thread(this);
		this.buffer = buffer;
		dir = dirToWriteTo;
		thread.start();
	}
	
	public void interrupt(){
		thread.interrupt();
	}
	
	public void cleanUp(){
		while (!buffer.isEmpty()){
			writeFile();
		}
	}
	
	

	public void run() {
		while (true) {
			
			try {
				writeFile();
				Thread.sleep(1);
			} catch (InterruptedException e) {
				// TODO Auto-generated catch block
				cleanUp();
			}
		}
	}

	private void writeFile() {
		Frame f = buffer.get();
		f.adjustImage();
		f.toFile(dir);
	}

}
